
// THIS IS THE CALLBACK FUNCTION FOR POWERFUNCTION BUTTON (y = a * x^(b))
function PowerFunctionBtn_callback()
    global handles
    //Write your callback for  PolynomialBtn  here
    [x,y] =  Data()
    dx = (max(x)- min(x))/5
    X = linspace(min(x)-dx,max(x)+dx,1000)
    Xnew = log( x )
    Ynew = log( y )
    n = length ( Xnew )
    b = ( n * sum ( Xnew .* Ynew ) - sum( Xnew ) *sum( Ynew ) ) /( n*sum ( Xnew .* Xnew ) - ( sum ( Xnew ) ) ^2 )
    lna = sum ( Ynew ) / n - b *sum( Xnew ) / n
    a = exp( lna )
    Y = a*X.^(b);
    // ploting the experimental data and fitted data and labeling the graph
    plot(X,Y,'m');
    legend('Experimental data',msprintf("y = %0.4Gx^%0.4G (Fitted Curve)",a,b),-6)
    printf("\n---------------- Least Squre Power Function Fitting --------------------\n")
    printf ( " \n The power function obtained is : \n y = %0.4Gxˆ%0.4G ",a , b );
endfunction
