// THIS IS A CALLBACK FUNCTION FOR LINEAR FIT BUTTON (y = mx +c)
function linearfit()
    global handles
    [x,y] =  Data()
    dx = (max(x)- min(x))/5
    X = linspace(min(x)-dx,max(x)+dx,1000)
    n = size(x)(1)
    A =[sum(x.^2), sum(x); sum(x),n];
    C=[sum(x.*y); sum(y)];
    M = A\C;
    Y = M(1)*X + M(2);
    // ploting the experimental data and fitted data and labeling the graph
    plot(X,Y,'y');
    legend('Experimental data',msprintf("y = %0.3G x + %0.3G (Fitted Line)",M(1),M(2)),-6)
    printf("\n---------------- Least Squre Linear Fitting --------------------\n")
    printf("\n Slope = %G \n Y-intercept = %G\n",M(1),M(2));
    printf("Equation of Best Fit Line : y = %G x + %G \n",M(1),M(2));
endfunction
